using System;

namespace RGD.WCS
{
    public partial class FrmErrorMessage : WeifenLuo.WinFormsUI.Docking.DockContent
    {
        #region Functions

        public FrmErrorMessage()
        {
            InitializeComponent();
            _formInstance = this;
        }

        public void NewMessage(string newMsg)
        {
            this.textBox1.Text = newMsg;
        }

        #endregion Functions

        #region Properties and Members

        private static FrmErrorMessage _formInstance;

        public static FrmErrorMessage FormInstance
        {
            get
            {
                if (_formInstance == null)
                {
                    _formInstance = new FrmErrorMessage();
                }
                return _formInstance;
            }
            set { _formInstance = value; }
        }

        #endregion Properties and Members

        private void FrmErrorMessage_Load(object sender, EventArgs e)
        {
        }
    }
}